Subject: Re: cygwin Digest 19 Nov 2001 17:31:57 -0000 Issue 1583
From: Joshua Franklin <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 19 Nov 2001 11:53:52 -0800 (PST)

> From: "Daniel Meier" <[email-masked]>

> I've seen a couple of complaints but no real
> response to the question: setup.exe used to be
> (like, last week) real easy to run and install most
> things needed, but now it doesn't.
That's funny. I though setup.exe used to be (like,
last week) impossibly difficult to get a minimal
environment without compilers, a database, tetex-beta,
and so on. It's frustrating getting 150MB of stuff
you'd never use on a travel laptop, for example.

> I mean after installing with setup.exe I can't even
> run vi! None of the cygwin directories are in the
> path. Even if I add them to the path it still can't
> find vi. 
Have you checked the C:\Cygwin\bin directory? There
should be a vim.exe if you installed the vim package.
setup.exe doesn't add anything to your PATH.

> It used to take a brainless cluck to install and use
> cygwin. Now you've raised the entry requirement -
Or lowered, depending on your goal.

> I assume there is a difference between vi and 'new
> improved vi' - vim. The most important difference
> being vi IS part of the default environment?
The real vi is copyrighted by AT&T. It is not Free
software. Vim, however, is. It also has a lot more
features. AFAIK, Cygwin has never included vi or even
anything called vi, just vim with some links to fool
you into thinking you've gotten 'vi'.

__________________________________________________
Do You Yahoo!?
Find the one for you at Yahoo! Personals
http://personals.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/